///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//   c    
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_ADELAYMEASUREMENT_H
#define BNOTOOL_ADELAYMEASUREMENT_H
///////////////////////////////////////////////////////////////////////////////
#include "IMeasurement.h"
///////////////////////////////////////////////////////////////////////////////
class ADelayMeasurement : public AMeasurement
  {
  public:
      //   
    ADelayMeasurement() ;
      //      
    void SetTimePrecision(double dt) 
      { TimePrec = dt;} ;
      //       
    double GetTimePrecision() const 
      { return TimePrec;};

  protected:
      // ,      
    double TimePrec;
      //    t,       ,
      //          
    virtual bool DetectPosition(ITraject &trj, TimeJD &t, const IFrame *fr = 0, 
                                Vect6 *f = 0) const ;
      //      f    t
      //   ,   fr
    virtual bool DetectRecieverPos(const TimeJD &t, const IFrame &fr, Vect3 &f) const = 0 ;
  };
///////////////////////////////////////////////////////////////////////////////
#endif
