///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//       
///////////////////////////////////////////////////////////////////////////////
#include "AFreeMeasurement.h"
///////////////////////////////////////////////////////////////////////////////
//    t,     
//   ,         
//  
//-----------------------------------------------------------------------------
bool AFreeMeasurement::DetectPosition(ITraject &trj, TimeJD &t, const IFrame *fr, 
                                      Vect6 *f) const
  {
  t = GetTime();

  if (fr != 0 && f != 0)
    if (!trj.Predict(t, *fr, *f))
      return false;

  return true;
  }
///////////////////////////////////////////////////////////////////////////////
