///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//       
//        
// (   -  )
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_ACCADAPTER_H
#define BNOTOOL_ACCADAPTER_H
///////////////////////////////////////////////////////////////////////////////
#include "PhasePoint.h"
#include "MMode.h"
///////////////////////////////////////////////////////////////////////////////
class AccAdapter
  {
  public:
      //  
    virtual ~AccAdapter() 
      {} ;
      //  
    virtual void Init(const TimeJD &t, const MotionMode &m);
      //  
    virtual void Set(const TimeJD &t, const Vect6 &rv_j2000, bool precItrf);

      //  
      //    J2000     
    TransMtx BJ2000toGFCS;
      //   (  TDB)
    TimeJD T0;   
      //  
    TimeJD T_TDB;   
      //    J2000
    Vect3 RJ2000;
      //    J2000
    Vect3 VJ2000;
      //    
    Vect3 RGr;
      //    
    Vect3 VGr;
      //    J2000
    Vect3 SunJ2000;
      //    
    Vect3 SunGr;
      //  
    double Density;
      //     J2000  
    TransMtx CJ2000toGFCS;
      //     a  J2000
    TransMtx CGFCStoJ2000;
      //   
    const MotionMode *MMode;
  };
///////////////////////////////////////////////////////////////////////////////
#endif
