///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//     
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_COMPLEXINIT_H
#define BNOTOOL_COMPLEXINIT_H
///////////////////////////////////////////////////////////////////////////////
#include "BNOAstroBase.h"
///////////////////////////////////////////////////////////////////////////////
  // 
bool ComplexInit(const char *fname = NULL);
  //        
bool ComplexInit(const TimeGD &s, const TimeGD &e, const char *fname = NULL);
  //        
bool ComplexInit(const TimeJD &s, const TimeJD &e, const char *fname = NULL);
  //   
void SetAtmosphereModel(TAtmosphereId mi);
  //     
bool SetGravityModel(TGravityModelId mi);
  //     
bool LoadEphData(TPlanetId pl);
  //      ( )
void UnLoadEphData(TPlanetId pl);
  //       
BNOAstroBase *GetBNOAstroBase();
///////////////////////////////////////////////////////////////////////////////
#endif
