///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//   
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_EARTHGRAVITY_H
#define BNOTOOL_EARTHGRAVITY_H
///////////////////////////////////////////////////////////////////////////////
#include "SGravity.h"
#include "tstring.h"
///////////////////////////////////////////////////////////////////////////////
//     ( )
///////////////////////////////////////////////////////////////////////////////
class EarthGravityModel : public GravityModel 
  {
  public:
      // ,    
    EarthGravityModel(TGravityModelId Id, const char *name);
      //   
    EarthGravityModel() : GravityModel()
      { FName = "";};

      //    
    bool Load();
      //   
    void toNorm()
      { convert(true);};
      //   
    void fromNorm()
      { convert(false);};

    void SetFileName(const char *fname) 
      { FName = fname;};

  protected:
      // 
    void convert(bool To); // True - to Norm.
      //   
    TString FName;
  };
///////////////////////////////////////////////////////////////////////////////
#endif
