///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//     IFrame
////////////////////////////////////////////////////////////////////////////////
#include "IFrames.h"
////////////////////////////////////////////////////////////////////////////////
  //  ,        
  //    rf    t0 ( 3- )
void IFrame::Get3DConverter(const IFrame &rf, const TimeJD &t0, 
                            FrameConverter3D &result) const
  {
  if (IsEqual(rf))
    {
    result.Init();
    return;
    }

  FrameConverter3D toj, j_res;

  Get3DJ2000Converter(t0, toj);
  rf.Get3DJ2000Converter(t0, j_res);
  j_res.Invert();

  toj.Multiply(j_res, result);
  }
//------------------------------------------------------------------------------
  //  ,        
  //    rf    t0 ( 6- )
void IFrame::Get6DConverter(const IFrame &rf, const TimeJD &t0,  FrameConverter6D &result) const
  {
  if (IsEqual(rf))
    {
    result.Init();
    return;
    }

  FrameConverter6D toj, j_res;

  Get6DJ2000Converter(t0, toj);
  rf.Get6DJ2000Converter(t0, j_res);
  j_res.Invert();

  toj.Multiply(j_res, result);
 
  }
////////////////////////////////////////////////////////////////////////////////
