///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//   
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_IPREDICT_H
#define BNOTOOL_IPREDICT_H
///////////////////////////////////////////////////////////////////////////////
#include "PhasePoint.h"
#include "Matrix.h"
///////////////////////////////////////////////////////////////////////////////
//    (     )
///////////////////////////////////////////////////////////////////////////////
class IPredict
  {
  public:
      //  
    virtual ~IPredict(){};
      //  
    virtual bool Run(const TimeJD &t) = 0;
      //   
    virtual void GetDestPoint(PhasePoint6D &dest) = 0;
	virtual void GetDestPointEX(Vect6 &dest){};
	virtual void GetDestMatrix(DMatrix &m){};
	virtual void ReRun()
      {}; 
  };
///////////////////////////////////////////////////////////////////////////////
//       
// (     )
///////////////////////////////////////////////////////////////////////////////
class IPredictVar : public IPredict
  {
  public:
      //    
    virtual void GetDestMatrix(DMatrix &m) = 0;
  };
///////////////////////////////////////////////////////////////////////////////
#endif
