///////////////////////////////////////////////////////////////////////////////
//   
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//       "-"
///////////////////////////////////////////////////////////////////////////////
#include "Defines.h"
#include "KVList.h"
#include <cstring>
///////////////////////////////////////////////////////////////////////////////
  //    
void TKVList::Add(const char *key, const char *value)
  {
  TKVEntry *e = new TKVEntry;
  e->Key = key;
  e->Value = value;
  insert_last(e, 0);
  }
//-----------------------------------------------------------------------------
  //    
TKVEntry *TKVList::Find(const char *key) const
  {
  TKVEntry *e;

  for (e = first(); e != NULL; e = e->next())
    {
    if (!strcasecmp(key, e->Key))
      return e;
    }

  return NULL;
  }
//-----------------------------------------------------------------------------
    //    
const char *TKVList::GetValue(const char *key)
  {
  TKVEntry *e = Find(key);
  if (e == NULL)
    return NULL;

  return e->Value;
  }
///////////////////////////////////////////////////////////////////////////////
