///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//     
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_KEPLPREDICT_H
#define BNOTOOL_KEPLPREDICT_H
///////////////////////////////////////////////////////////////////////////////
#include "IPredict.h"
#include "Kepler.h"
///////////////////////////////////////////////////////////////////////////////
class KeplPredict : public IPredict
  {
  public:
      //    
    KeplPredict()
      { FlagInit = false;};
      //
    virtual ~KeplPredict()
      {};
      //     
    void SetInitPoint(const PhasePoint6D &src);
      //  
    virtual bool Run(const TimeJD &t);
      //   
    virtual void GetDestPoint(PhasePoint6D &dest);
	virtual void GetDestPointEX(Vect6 &pos);
  protected:
       //         J2000
     Kepler Kepl0;
       //  
     TimeJD T0; 
       //    
     bool FlagInit;
       //   
     TimeJD Tk;
  };
///////////////////////////////////////////////////////////////////////////////
#endif

