///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//     RNB
////////////////////////////////////////////////////////////////////////////////
#include "RNBFrame.h"
////////////////////////////////////////////////////////////////////////////////
  //  ,       
  //    J2000    t0 ( 3- )
void RNBFrame::Get3DJ2000Converter(const TimeJD &t0, FrameConverter3D &result) const
  {
  TAssert(Pars.IsInit());
  result.Shift = Pars.GetPoint();
  Pars.GetMatrix().Transp(result.Rotation);
  }
//------------------------------------------------------------------------------
  //  ,       
  //    J2000    t0 ( 6- )
void RNBFrame::Get6DJ2000Converter(const TimeJD &t0, FrameConverter6D &result) const
  {
  result.Init();
  Get3DJ2000Converter(t0, result.Converter3D);
  }
//------------------------------------------------------------------------------
  //   
void RNBFrame::SetParameters(const IFrameParameters &p)
  {
  TAssert(p.GetFrameType() == csIdRNB);
  const RNBFrameParameters &pm = (const RNBFrameParameters &)p;
  Pars = pm;
  }
////////////////////////////////////////////////////////////////////////////////

