#ifndef XYZ_H
#define XYZ_H 

class XYZ  
{
public:
	double x,y,z;
	
	XYZ();
	XYZ(const XYZ& right);
	XYZ(double px,double py,double pz);
	virtual ~XYZ();
	
	XYZ  operator +(const XYZ& right);
	XYZ  operator -(const XYZ& right);
	XYZ  operator *(double c);
	XYZ  operator /(double c);
	bool operator ==(const XYZ& right);
	bool operator !=(const XYZ& right);
	void operator = (const XYZ& right);
	XYZ	 cross (const XYZ& right);

	double	Magnitude();
	double	MagnitudeSquared();
	void	Normalize();
};


#endif
