#pragma once

struct eh {
	double prf;
	double xpond_xmit_delay;
	double xpond_utc_off;
	double xpond_osc_drift;
	double cofm_corr;
	int cospar_id;
	int sic;
	int norad;
	int eph_seq;
	int sttpyear;
	int sttpmonth;
	int sttpday;
	int sttphour;
	int sttpmin;
	int sttpsec;
	int endpyear;
	int endpmonth;
	int endpday;
	int endphour;
	int endpmin;
	int endpsec;
	int ephsep;
	int compat;
	int version;
	int epyear;
	int epmon;
	int epday;
	int ephour;
	int tar_type;
	int ref_frame;
	int rot_type;
	int cofm_app;
	int ltcorr;
	int atrk_ro_0;
	int xtrk_ro_0;
	int rtrk_ro_0;
	int atrk_ro_1;
	int xtrk_ro_1;
	int rtrk_ro_1;
	int atrk_ro_2;
	int xtrk_ro_2;
	int rtrk_ro_2;
	char eph_source[4];
	char tar_name[10];
	char eph_notes[10];
};

struct ei {
	double* jdi;
	double* jdf;
	double* outv[6];
	double* c12;
	double* c23;
	int* leapflag;
	double* jds;
	int	nv;
};

int cephinit (char *str); 
int cinterp_pvac (ei& ephi,
				   double jdint, double seceph,
				   double outvec[6], double backvec[6],
				   double aberout[3], double aberback[3],
				   double *corr12, double *corr23, int fvel, int *ircode); 