///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//   ,  ,    
// 
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_ALPHDELD6COORDS_H
#define BNOTOOL_ALPHDELD6COORDS_H
///////////////////////////////////////////////////////////////////////////////
#include "ICoords6D.h"
#include "AlphDelDCoords.h"
#include "FrameConverter.h"
#include "Matrix.h"

///////////////////////////////////////////////////////////////////////////////
class AlphDelD6Coords : public ICoords6D
  {
  public:
    AlphDelDCoords Coords;  // : alpha, delta, D
    double Dv;      // D   (  D  )
    double DAlpha;  //      
    double DDelta;  //     
      
      //   
    AlphDelD6Coords();

      //    
    virtual void SetXYZ(const Vect6 &src);
      //   
    virtual bool GetXYZ(Vect6 &dst) const;
	void GetPrtDrv(const Vect6& crd, const FrameConverter6D& frameConveter, DMatrix& prtDrv);
  };
///////////////////////////////////////////////////////////////////////////////
#endif
