///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//        
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_DRPERIOD_H
#define BNOTOOL_DRPERIOD_H
///////////////////////////////////////////////////////////////////////////////
#include "IPredict.h"
#include <string>
///////////////////////////////////////////////////////////////////////////////
//   
///////////////////////////////////////////////////////////////////////////////
bool GetAscNodeYZ(IPredict &prg, const TimeJD &tprim, PhasePoint6D &vect, 
                  double (*fParam)(const Vect6 &), 
                  double (*fvParam)(const Vect6 &));
bool GetAscNode(IPredict &prg, PhasePoint6D &vect, const TimeJD &tprim, std::string ascendingNodeRule);
///////////////////////////////////////////////////////////////////////////////
//      
///////////////////////////////////////////////////////////////////////////////
bool GetOrbPeriod(IPredict &prg, const TimeJD &t, double &tp, double &dt, std::string ascendingNodeRule);
///////////////////////////////////////////////////////////////////////////////
#endif
