///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//           
//     
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_KOCONSTVAR_H
#define BNOTOOL_KOCONSTVAR_H
///////////////////////////////////////////////////////////////////////////////
#include "IKOProp.h"
///////////////////////////////////////////////////////////////////////////////
class KOConstVar : public IKOPropVar
  {
  public:
      //   
    KOConstVar();
      //  
    double Kb;
      //   
    double Kappa;
      //     . -
    bool IsKbVar;
      //     -  
    bool IsKappaVar;
    
      //      J2000
    virtual void GetAcc(const AccAdapter &p, Vect3 &acc) const;
      //    
    virtual int GetNVars() const;
      //        , 
      //   KO
    virtual void GetRPVars(const AccAdapter &p, TransMtx &dfdr, TransMtx &dfdv,
                           DMatrix &dfdc) const;
      //        
    void GetAtmVars(const AccAdapter &p, TransMtx &dfdr, TransMtx &dfdv) const;

  protected:
      //         
    void GetSolarVars(const AccAdapter &p, TransMtx &dfdr) const;
      //      
    void GetKbVars(const AccAdapter &p, Vect3 &var) const;
      //      . 
    void GetKappaVars(const AccAdapter &p, Vect3 &var) const;
  };
///////////////////////////////////////////////////////////////////////////////
#endif

