///////////////////////////////////////////////////////////////////////////////
//   
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//       "-"
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_KVLIST_H
#define BNOTOOL_KVLIST_H
///////////////////////////////////////////////////////////////////////////////
#include "twll.h"
#include "tstring.h"
///////////////////////////////////////////////////////////////////////////////
//     
///////////////////////////////////////////////////////////////////////////////
class TKVItem
  {
  public:
    TString Key;
    TString Value;
  };
///////////////////////////////////////////////////////////////////////////////
//       
///////////////////////////////////////////////////////////////////////////////
typedef Twll_Entry_Class<TKVItem> TKVEntry;
///////////////////////////////////////////////////////////////////////////////
//  
///////////////////////////////////////////////////////////////////////////////
class TKVList : public Twll_List_Class<TKVEntry>
  {
  public:
      //    
    void Add(const char *key, const char *value);
      //    
    TKVEntry *Find(const char *key) const;
      //    
    const char *GetValue(const char *key);
  };
///////////////////////////////////////////////////////////////////////////////
#endif

