///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//      
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_MOTIONMODE_H
#define BNOTOOL_MOTIONMODE_H
///////////////////////////////////////////////////////////////////////////////
#include "Ids.h"
#include "SList.h"
///////////////////////////////////////////////////////////////////////////////
class MotionMode
  {
  public:
      //   
    MotionMode();
      // 
    virtual ~MotionMode()
      {};

    MotionMode &operator=(const MotionMode &src);
      //  
      //    
    TTypeLight LightMode;
      //    
    bool IsAtm;
      //   (    )
    double HCrit;
      //  ,      
    int GrN, GrM;   
    
      //    
      //     
    void AddPlanet(TPlanetId p);     
      //   
    void DeletePlanet(TPlanetId p);     
      //    
    int GetNPlanet() const
      { return PList.Len(); };
      //     
    TPlanetId GetPlanet(int i) const;
      //      
    bool IsPlanetSet(TPlanetId p) const;

      //       
    void Reset(); 

  private:
      //    
    TSListDef<TPlanetId, true> PList;
      //       id
    int FindPlanet(TPlanetId id) const;
  };
///////////////////////////////////////////////////////////////////////////////
#endif

