///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
// ,      J2000 c   
//  .
///////////////////////////////////////////////////////////////////////////////
#include "OpticDelayMeasurementJ2000.h"
///////////////////////////////////////////////////////////////////////////////
void OpticDelayMeasurementJ2000::SetStationCoords(const Vect3 &pos)
  {
  OpticDelayMeasurement::SetStationCoords(pos);
  GeoCoordsPrec lfh;

  lfh.SetXYZ(pos);
  MFrame.Init(lfh);
  }
//-----------------------------------------------------------------------------
//      new()
//-----------------------------------------------------------------------------
IMeasurement* OpticDelayMeasurementJ2000::Clone() const
  {
  OpticDelayMeasurementJ2000 *m = new OpticDelayMeasurementJ2000;
  *m = *this;
  return m;
  }
///////////////////////////////////////////////////////////////////////////////
