///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
// ,      J2000 c   
//  .
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_OPTICDELAYMEASUREMENTJ2000_H
#define BNOTOOL_OPTICDELAYMEASUREMENTJ2000_H
///////////////////////////////////////////////////////////////////////////////
#include "OpticDelayMeasurement.h"
#include "LocalJ2000Frame.h"
///////////////////////////////////////////////////////////////////////////////
class OpticDelayMeasurementJ2000 : public OpticDelayMeasurement
{
public:
	//   

	OpticDelayMeasurementJ2000() : OpticDelayMeasurement()
      {};
	// 
	virtual ~OpticDelayMeasurementJ2000()
	{};
	//     
	virtual void SetStationCoords(const Vect3 &pos);
	//      ,   
	virtual const IFrame *GetSrcFrame() const
	{ return &MFrame;};
	//      new()
	virtual IMeasurement* Clone() const;

protected:
	// ,    
	LocalJ2000Frame MFrame;
};
///////////////////////////////////////////////////////////////////////////////
#endif
