///////////////////////////////////////////////////////////////////////////////
//    
// ()  ...,  ""
///////////////////////////////////////////////////////////////////////////////
//   , ,  
///////////////////////////////////////////////////////////////////////////////
#ifndef BNOTOOL_RAZGAMCOORDS_H
#define BNOTOOL_RAZGAMCOORDS_H
///////////////////////////////////////////////////////////////////////////////
#include "ICoords3D.h"
#include "ICoords6D.h"
///////////////////////////////////////////////////////////////////////////////
class RAzGammaCoords : public ICoords3D
  {
  public:
    double Dist;   // 
    double Az;     //  []
    double Gamma;  //   []
      
      //   
    RAzGammaCoords();

      //    
    virtual void SetXYZ(const Vect3 &src);
      //   
    virtual void GetXYZ(Vect3 &dst) const;
  };
///////////////////////////////////////////////////////////////////////////////
class RAzGamma6Coords : public ICoords6D
{
public:
	RAzGammaCoords Coords;  
	double DElevation;  
	double DAzimuth;  
	double Velocity;

	//   
	RAzGamma6Coords();

	//    
	virtual void SetXYZ(const Vect6 &src);
	//   
	virtual bool GetXYZ(Vect6 &dst) const;
};

///////////////////////////////////////////////////////////////////////////////
#endif
