﻿#pragma once

#include "DVectors.h"
#include "TM.h"

class IRes{
public:
	IRes(){};
	IRes(Vect6 vec, TimeJD date, int step, bool addon = false);
	TimeJD get_date() const {return m_date;}
	Vect6 get_pos() const {return m_vec;}
	int get_step() const {return m_step;}
	bool is_addon() const {return m_addon;}
private:
	Vect6 m_vec;
	TimeJD m_date;
	int m_step;
	bool m_addon;
};
