﻿#pragma once

#include "TM.h"
#include "StateVector.h"

class OrbBlock{
public:	
	OrbBlock(const SInitOrbit& orbit, const TimeJD& beg, const TimeJD& end, double mind = -1);
	~OrbBlock(){}

	TimeJD	get_beg() const {return	m_beg;}
	TimeJD	get_end() const {return m_end;}
	const SInitOrbit& get_orbit() const {return m_orbit;}
	double get_min_distance() const {return m_mind;}
private:
	SInitOrbit m_orbit;
	TimeJD m_beg;
	TimeJD m_end;
	double m_mind;
};

